PKIXCertPath (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jcajce.provider.asymmetric.x509

## Class PKIXCertPath

- java.lang.Object
- - java.security.cert.CertPath
  - - org.bouncycastle.jcajce.provider.asymmetric.x509.PKIXCertPath

- All Implemented Interfaces:
    java.io.Serializable

      public class PKIXCertPath
      extends java.security.cert.CertPath

  CertPath implementation for X.509 certificates.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.security.cert.CertPath

      `java.security.cert.CertPath.CertPathRep`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getCertificates()` Returns the list of certificates in this certification path.
    `byte[]` | `getEncoded()` Returns the encoded form of this certification path, using the default encoding.
    `byte[]` | `getEncoded(java.lang.String encoding)` Returns the encoded form of this certification path, using the specified encoding.
    `java.util.Iterator` | `getEncodings()` Returns an iteration of the encodings supported by this certification path, with the default encoding first.

    - ### Methods inherited from class java.security.cert.CertPath

      `equals, getType, hashCode, toString, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getEncodings

          public java.util.Iterator getEncodings()

      Returns an iteration of the encodings supported by this certification path, with the default encoding first. Attempts to modify the returned Iterator via its remove method result in an UnsupportedOperationException.
      Specified by:
        `getEncodings` in class `java.security.cert.CertPath`
      Returns:
        an Iterator over the names of the supported encodings (as Strings)

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.security.cert.CertificateEncodingException

      Returns the encoded form of this certification path, using the default encoding.
      Specified by:
        `getEncoded` in class `java.security.cert.CertPath`
      Returns:
        the encoded bytes
      Throws:
        `java.security.cert.CertificateEncodingException` - if an encoding error occurs

    - #### getEncoded

          public byte[] getEncoded(java.lang.String encoding)
                            throws java.security.cert.CertificateEncodingException

      Returns the encoded form of this certification path, using the specified encoding.
      Specified by:
        `getEncoded` in class `java.security.cert.CertPath`
      Parameters:
        `encoding` - the name of the encoding to use
      Returns:
        the encoded bytes
      Throws:
        `java.security.cert.CertificateEncodingException` - if an encoding error occurs or the encoding requested is not supported

    - #### getCertificates

          public java.util.List getCertificates()

      Returns the list of certificates in this certification path. The List returned must be immutable and thread-safe.
      Specified by:
        `getCertificates` in class `java.security.cert.CertPath`
      Returns:
        an immutable List of Certificates (may be empty, but not null)